/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.awt.Color;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.EORembZone;
import org.cocktail.kiwi.client.metier.EOWebpays;
import org.cocktail.kiwi.client.metier.EOWebtaux;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class TrajetSaisieView extends javax.swing.JDialog {

    protected EODisplayGroup eodRembZone, eodWebPays, eodWebTaux;
	protected ZEOTable myEOTableRembZone, myEOTableWebPays, myEOTableWebTaux;
	protected ZEOTableModel myTableModelRembZone, myTableModelWebPays, myTableModelWebTaux;
	protected TableSorter myTableSorterRembZone, myTableSorterWebPays, myTableSorterWebTaux;

    
    /** Creates new form TemplateJDialog */
    public TrajetSaisieView(java.awt.Frame parent, boolean modal, EODisplayGroup dgRembZone, EODisplayGroup dgWebPays , EODisplayGroup dgWebTaux) {
        super(parent, modal);

        eodRembZone = dgRembZone;
        eodWebPays = dgWebPays;
        eodWebTaux = dgWebTaux;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableWebTaux = new javax.swing.JPanel();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        tfDateDebut = new javax.swing.JTextField();
        btnGetDebut = new javax.swing.JButton();
        tfHeureDebut = new javax.swing.JTextField();
        tfHeureFin = new javax.swing.JTextField();
        tfDateFin = new javax.swing.JTextField();
        btnGetFin = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        tfMotif = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        btnGetMotif = new javax.swing.JButton();
        jLabel9 = new javax.swing.JLabel();
        tfDepart = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfArrivee = new javax.swing.JTextField();
        viewTableWebPays = new javax.swing.JPanel();
        viewTableRembZone = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        tfFiltrePays = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Saisie / Modification d'un trajet");
        setResizable(false);

        viewTableWebTaux.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableWebTaux.setLayout(new java.awt.BorderLayout());

        btnValider.setToolTipText("Valider la saisie du trajet");

        btnAnnuler.setToolTipText("Annuler la saisie");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Début :");

        tfDateDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfHeureDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfHeureFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfDateFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Fin :");

        tfMotif.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfMotif.setAutoscrolls(false);

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Motif :");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Départ :");

        tfDepart.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Arrivée :");

        tfArrivee.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        viewTableWebPays.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableWebPays.setLayout(new java.awt.BorderLayout());

        viewTableRembZone.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableRembZone.setLayout(new java.awt.BorderLayout());

        jLabel1.setFont(new java.awt.Font("Arial", 1, 14));
        jLabel1.setForeground(new java.awt.Color(153, 153, 255));
        jLabel1.setText("Trajet / Zone :");

        jLabel2.setFont(new java.awt.Font("Arial", 1, 14));
        jLabel2.setForeground(new java.awt.Color(153, 153, 255));
        jLabel2.setText("Devise :");

        jLabel3.setFont(new java.awt.Font("Arial", 1, 14));
        jLabel3.setForeground(new java.awt.Color(153, 153, 255));
        jLabel3.setText("Pays :");

        tfFiltrePays.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel4.setText("<== Recherche");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableRembZone, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 503, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(viewTableWebPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 507, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfHeureDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfHeureFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 224, Short.MAX_VALUE)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAnnuler, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, btnValider, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 45, Short.MAX_VALUE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTableWebTaux, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 507, Short.MAX_VALUE)
                    .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 171, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 171, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(6, 6, 6)
                        .add(tfFiltrePays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 177, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 126, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 169, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfArrivee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 177, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(49, 49, 49)))
                .add(6, 6, 6))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(1, 1, 1)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel6)
                            .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnGetDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfHeureDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel7)
                            .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnGetFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfHeureFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(tfMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnGetMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(tfDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10)
                    .add(tfArrivee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableRembZone, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 200, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfFiltrePays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(jLabel3))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableWebPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 144, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jLabel2)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableWebTaux, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-539)/2, (screenSize.height-712)/2, 539, 712);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	TrajetsSelectView dialog = new TrajetsSelectView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnGetDebut;
    private javax.swing.JButton btnGetFin;
    private javax.swing.JButton btnGetMotif;
    private javax.swing.JButton btnValider;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JTextField tfArrivee;
    private javax.swing.JTextField tfDateDebut;
    private javax.swing.JTextField tfDateFin;
    private javax.swing.JTextField tfDepart;
    private javax.swing.JTextField tfFiltrePays;
    private javax.swing.JTextField tfHeureDebut;
    private javax.swing.JTextField tfHeureFin;
    private javax.swing.JTextField tfMotif;
    private javax.swing.JPanel viewTableRembZone;
    private javax.swing.JPanel viewTableWebPays;
    private javax.swing.JPanel viewTableWebTaux;
    // End of variables declaration//GEN-END:variables
    
    
    
    
    
    
    private void initGui() {
            	
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
        btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

    	btnGetDebut.setIcon(CocktailIcones.ICON_CALENDAR);
    	btnGetFin.setIcon(CocktailIcones.ICON_CALENDAR);
    	btnGetMotif.setIcon(CocktailIcones.ICON_SELECT_16);

       	Vector myCols = new Vector();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodRembZone, EORembZone.REM_LIBELLE_KEY, "TRAJET / ZONE", 460);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModelRembZone = new ZEOTableModel(eodRembZone, myCols);
		myTableSorterRembZone = new TableSorter(myTableModelRembZone);

		myEOTableRembZone = new ZEOTable(myTableSorterRembZone);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterRembZone.setTableHeader(myEOTableRembZone.getTableHeader());		

		myEOTableRembZone.setBackground(new Color(230, 230, 230));
		myEOTableRembZone.setSelectionBackground(new Color(127,155,165));
		myEOTableRembZone.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableRembZone.setLayout(new BorderLayout());
		viewTableRembZone.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableRembZone.removeAll();
		viewTableRembZone.add(new JScrollPane(myEOTableRembZone), BorderLayout.CENTER);
		
				
       	myCols = new Vector();

		col = new ZEOTableModelColumn(eodWebPays, EOWebpays.WPA_LIBELLE_KEY, "PAYS", 460);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModelWebPays = new ZEOTableModel(eodWebPays, myCols);
		myTableSorterWebPays = new TableSorter(myTableModelWebPays);

		myEOTableWebPays = new ZEOTable(myTableSorterWebPays);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterWebPays.setTableHeader(myEOTableWebPays.getTableHeader());		

		myEOTableWebPays.setBackground(new Color(230, 230, 230));
		myEOTableWebPays.setSelectionBackground(new Color(127,155,165));
		myEOTableWebPays.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableWebPays.setLayout(new BorderLayout());
		viewTableWebPays.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableWebPays.removeAll();
		viewTableWebPays.add(new JScrollPane(myEOTableWebPays), BorderLayout.CENTER);


		
       	myCols = new Vector();

		col = new ZEOTableModelColumn(eodWebTaux, EOWebtaux.WTA_DATE_KEY, "Date", 90);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
    	myCols.add(col);
		col = new ZEOTableModelColumn(eodWebTaux, EOWebtaux.WTA_TAUX_KEY, "Taux", 90);
		col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
		col = new ZEOTableModelColumn(eodWebTaux, "webmon.devises.llDevise", "Devise", 280);
		col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModelWebTaux = new ZEOTableModel(eodWebTaux, myCols);
		myTableSorterWebTaux = new TableSorter(myTableModelWebTaux);

		myEOTableWebTaux = new ZEOTable(myTableSorterWebTaux);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterWebTaux.setTableHeader(myEOTableWebTaux.getTableHeader());		

		myEOTableWebTaux.setBackground(new Color(230, 230, 230));
		myEOTableWebTaux.setSelectionBackground(new Color(127,155,165));
		myEOTableWebTaux.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableWebTaux.setLayout(new BorderLayout());
		viewTableWebTaux.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableWebTaux.removeAll();
		viewTableWebTaux.add(new JScrollPane(myEOTableWebTaux), BorderLayout.CENTER);

		
		
    }

	public ZEOTable getMyEOTableRembZone() {
		return myEOTableRembZone;
	}

	public void setMyEOTableRembZone(ZEOTable myEOTableRembZone) {
		this.myEOTableRembZone = myEOTableRembZone;
	}

	public ZEOTable getMyEOTableWebPays() {
		return myEOTableWebPays;
	}

	public void setMyEOTableWebPays(ZEOTable myEOTableWebPays) {
		this.myEOTableWebPays = myEOTableWebPays;
	}

	public ZEOTable getMyEOTableWebTaux() {
		return myEOTableWebTaux;
	}

	public void setMyEOTableWebTaux(ZEOTable myEOTableWebTaux) {
		this.myEOTableWebTaux = myEOTableWebTaux;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnGetDebut() {
		return btnGetDebut;
	}

	public void setBtnGetDebut(javax.swing.JButton btnGetDebut) {
		this.btnGetDebut = btnGetDebut;
	}

	public javax.swing.JButton getBtnGetFin() {
		return btnGetFin;
	}

	public void setBtnGetFin(javax.swing.JButton btnGetFin) {
		this.btnGetFin = btnGetFin;
	}

	public javax.swing.JButton getBtnGetMotif() {
		return btnGetMotif;
	}

	public void setBtnGetMotif(javax.swing.JButton btnGetMotif) {
		this.btnGetMotif = btnGetMotif;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JTextField getTfArrivee() {
		return tfArrivee;
	}

	public void setTfArrivee(javax.swing.JTextField tfArrivee) {
		this.tfArrivee = tfArrivee;
	}

	public javax.swing.JTextField getTfDateDebut() {
		return tfDateDebut;
	}

	public void setTfDateDebut(javax.swing.JTextField tfDateDebut) {
		this.tfDateDebut = tfDateDebut;
	}

	public javax.swing.JTextField getTfDateFin() {
		return tfDateFin;
	}

	public void setTfDateFin(javax.swing.JTextField tfDateFin) {
		this.tfDateFin = tfDateFin;
	}

	public javax.swing.JTextField getTfDepart() {
		return tfDepart;
	}

	public void setTfDepart(javax.swing.JTextField tfDepart) {
		this.tfDepart = tfDepart;
	}

	public javax.swing.JTextField getTfFiltrePays() {
		return tfFiltrePays;
	}

	public void setTfFiltrePays(javax.swing.JTextField tfFiltrePays) {
		this.tfFiltrePays = tfFiltrePays;
	}

	public javax.swing.JTextField getTfHeureDebut() {
		return tfHeureDebut;
	}

	public void setTfHeureDebut(javax.swing.JTextField tfHeureDebut) {
		this.tfHeureDebut = tfHeureDebut;
	}

	public javax.swing.JTextField getTfHeureFin() {
		return tfHeureFin;
	}

	public void setTfHeureFin(javax.swing.JTextField tfHeureFin) {
		this.tfHeureFin = tfHeureFin;
	}

	public javax.swing.JTextField getTfMotif() {
		return tfMotif;
	}

	public void setTfMotif(javax.swing.JTextField tfMotif) {
		this.tfMotif = tfMotif;
	}
}
